Subject: Re: still getting 'It is a submodule!" in 1.6.2.5

From: Tim Olsen <[email-masked]>
Date: Tue, 05 May 2009 10:23:06 -0400

Junio C Hamano wrote:
> But that is not the one you want.  7dae8b2 (diff -c -p: do not die on
> submodules, 2009-04-29) is to allow viewing of such a merge correctly; To
> make the merge automatically, you'd need 0c44c94 (merge-recursive: do not
> die on a conflicting submodule, 2009-04-29), which is on 'master', but not
> on 1.6.2.X (and likely will never be).
> 
> Could you be running 1.6.3-rcX instead of 1.6.2.X?  In general, the tip of
> the 'master' is always as stable as any released version, if not more.

Thanks Junio for your reply.  We have made a copy of the offending
branch by hand and have managed to merge that instead for now.  I can
wait until 1.6.3 is released.

Thanks again for your help!

Tim